com.holonplatform.vaadin.flow.components.builders

## Interface ItemListingBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,L,B>>

- Type Parameters:
    `T` - Item type
    `P` - Item property type
    `L` - Item listing type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<B>, ComponentGroupConfigurator<P,T,Input<?>,ItemListing.EditorComponentGroup<P,T>,B>, FocusableConfigurator<com.vaadin.flow.component.Component,B>, HasElementConfigurator<B>, HasEnabledConfigurator<B>, HasSizeConfigurator<B>, HasStyleConfigurator<B>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,B>, InputGroupConfigurator<P,T,ItemListing.EditorComponentGroup<P,T>,B>, ItemListingConfigurator<T,P,L,B>
  All Known Subinterfaces:
    BeanListingBuilder<T>, BeanListingBuilder.DatastoreBeanListingBuilder<T>, PropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingBuilder

      public interface ItemListingBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,L,B>>
      extends ItemListingConfigurator<T,P,L,B>

  `ItemListing` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `L` | `build()` Build the `ItemListing`, displaying all the columns which corresponds to the configured properties.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, columnReorderingAllowed, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, editorBuffered, editorComponent, editorComponent, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, pageSize, readOnly, renderer, resizable, resizable, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withComponentColumn, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### build

          L build()

      Build the `ItemListing`, displaying all the columns which corresponds to the configured properties.
      Returns:
        The item listing instance

Copyright © 2019 The Holon Platform. All rights reserved.